> ## Documentation Index
> Fetch the complete documentation index at: https://docs.airys.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter an user detalhes

> Obter os detalhes de um usuário



## OpenAPI

````yaml /pt-br/swagger/tag_groups/platform_swagger.json get /platform/api/v1/users/{id}
openapi: 3.1.0
info:
  title: Chatwoot
  description: Esta é a documentação da API para o servidor Chatwoot.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://airys.chat/
security: []
tags:
  - name: Contas
    description: APIs de gerenciamento de contas
  - name: Usuários da Conta
    description: APIs de gerenciamento de usuários de contas
  - name: AgentBots
    description: Integrações de bots
  - name: Usuários
    description: APIs de gerenciamento de usuários
paths:
  /platform/api/v1/users/{id}:
    parameters:
      - $ref: '#/components/parameters/platform_user_id'
    get:
      tags:
        - Usuários
      summary: Obter an user detalhes
      description: Obter os detalhes de um usuário
      operationId: get-details-of-a-user
      responses:
        '200':
          description: Sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/user'
        '401':
          description: Não autorizado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '404':
          description: O usuário fornecido não existe
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - platformAppApiKey: []
components:
  parameters:
    platform_user_id:
      in: path
      name: id
      schema:
        type: integer
      required: true
      description: O ID numérico do usuário na plataforma
  schemas:
    user:
      type: object
      properties:
        id:
          type: number
        access_token:
          type: string
        account_id:
          type: number
        available_name:
          type: string
        avatar_url:
          type: string
        confirmed:
          type: boolean
        display_name:
          type:
            - string
            - 'null'
        message_signature:
          type:
            - string
            - 'null'
        email:
          type: string
        hmac_identifier:
          type: string
        inviter_id:
          type:
            - number
            - 'null'
        name:
          type: string
        provider:
          type: string
        pubsub_token:
          type: string
        role:
          type: string
          enum:
            - agent
            - administrator
        ui_settings:
          type: object
        uid:
          type: string
        type:
          type:
            - string
            - 'null'
        custom_attributes:
          type: object
          description: >-
            Disponível para usuários criados por meio das APIs da plataforma e
            que possuem atributos personalizados associados.
        accounts:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              name:
                type: string
              status:
                type: string
              active_at:
                type:
                  - string
                  - 'null'
                format: date-time
              role:
                type: string
                enum:
                  - administrator
                  - agent
              permissions:
                type: array
                items:
                  type: string
              availability:
                type: string
              availability_status:
                type: string
              auto_offline:
                type: boolean
              custom_role_id:
                type:
                  - number
                  - 'null'
              custom_role:
                type:
                  - object
                  - 'null'
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    platformAppApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        Este token pode ser obtido pelo administrador do sistema após a criação
        de um platformApp. Este token deve ser usado para provisionar bot de
        agentes, contas, usuários e suas funções.

````